Bug 1200077 - 24 hour pools are not replaced by derived pools when guest is mapped and host is registered via proxy and guest is not
Summary: 24 hour pools are not replaced by derived pools when guest is mapped and host...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel67
TreeView+ depends on / blocked
 
Reported: 2015-03-09 16:03 UTC by Shwetha Kallesh
Modified: 2015-05-15 19:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-17 10:36:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Shwetha Kallesh 2015-03-09 16:03:36 UTC
Description of problem:
24 hour pools are not replaced by derived pools when guest is mapped and host is registered via proxy and guest is not

Version-Release number of selected component (if applicable):

On the host:
[root@dhcp35-236 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.45-1
subscription management rules: 5.14
subscription-manager: 1.14.1-1.git.84.66aafd7.el6
python-rhsm: 1.14.2-1.git.0.fafb02d.el6


On the guest:
[root@dhcp35-188 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.45-1
subscription management rules: 5.14
subscription-manager: 1.14.1-1.git.84.66aafd7.el6
python-rhsm: 1.14.2-1.git.0.fafb02d.el6

How reproducible:


Steps to Reproduce:


On the host:

[root@dhcp35-236 ~]# cat /etc/rhsm/rhsm.conf | grep proxy
# an http proxy server to use
proxy_hostname =auto-services.usersys.redhat.com
# port for http proxy server
proxy_port =3129
# user name for authenticating to an http proxy, if needed
proxy_user =
# password for basic http proxy auth, if needed
proxy_password =

[root@dhcp35-236 ~]# subscription-manager register --force
The system with UUID 3076fa60-92f9-44b4-b983-74baa9d21d65 has been unregistered
Username: admin
Password: 
Organization: admin
The system has been registered with ID: 7f24bb1e-c802-4d43-b554-d92b6929b686 
[root@dhcp35-236 ~]# service virt-who status
virt-who is stopped

[root@dhcp35-236 ~]# tail -f /var/log/rhsm/rhsm.log
2015-03-09 20:30:35,876 [INFO] rhsmd:32175 @cert_sorter.py:205 - Product status: valid_products= partial_products= expired_products= unentitled_producs= future_products= valid_until=None
2015-03-09 20:30:35,876 [DEBUG] rhsmd:32175 @cert_sorter.py:207 - partial stacks: []
2015-03-09 20:30:35,878 [DEBUG] rhsmd:32175 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:30:35,879 [DEBUG] rhsmd:32175 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:30:35,879 [DEBUG] rhsmd:32175 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/consumers/3076fa60-92f9-44b4-b983-74baa9d21d65/compliance
2015-03-09 20:30:36,542 [DEBUG] subscription-manager-gui:4159 @connection.py:521 - Response: status=200, requestUuid=12b9709d-133b-4684-b914-efaa04097814
2015-03-09 20:30:39,229 [DEBUG] rhsmd:32175 @connection.py:521 - Response: status=200, requestUuid=9aebee18-220b-4a86-9b92-324fcb098780
2015-03-09 20:30:39,230 [DEBUG] rhsmd:32175 @cache.py:272 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2015-03-09 20:31:16,016 [INFO]  @virtwho.py:438 - No configurations found, using libvirt as backend
2015-03-09 20:31:19,266 [INFO]  @subscriptionmanager.py:110 - Sending list of uuids: ['49ea85ec-16b6-f892-7864-085bb953ad2b']
2015-03-09 20:38:53,596 [DEBUG] subscription-manager:385 @plugins.py:569 - loaded plugin modules: [<module 'container_content' from '/usr/share/rhsm-plugins/container_content.pyc'>]
2015-03-09 20:38:53,596 [DEBUG] subscription-manager:385 @plugins.py:570 - loaded plugins: {'container_content.ContainerContentPlugin': <container_content.ContainerContentPlugin object at 0x1affa90>}
2015-03-09 20:38:53,596 [DEBUG] subscription-manager:385 @identity.py:131 - Loading consumer info from identity certificates.
2015-03-09 20:38:53,627 [INFO] subscription-manager:385 @managercli.py:353 - Client Versions: {'python-rhsm': '1.14.2-1.git.0.fafb02d.el6', 'subscription-manager': '1.14.1-1.git.84.66aafd7.el6'}
2015-03-09 20:38:53,628 [INFO] subscription-manager:385 @connection.py:727 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=10.70.1.100 port=8443 handler=/candlepin auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2015-03-09 20:38:53,628 [INFO] subscription-manager:385 @connection.py:727 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=10.70.1.100 port=8443 handler=/candlepin auth=none
2015-03-09 20:38:53,641 [DEBUG] subscription-manager:385 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:38:53,641 [DEBUG] subscription-manager:385 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:38:53,641 [DEBUG] subscription-manager:385 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/
2015-03-09 20:38:57,289 [DEBUG] subscription-manager:385 @connection.py:521 - Response: status=200, requestUuid=8fcf0693-d865-41db-a845-917cc8e6d5aa
2015-03-09 20:38:57,293 [DEBUG] subscription-manager:385 @connection.py:744 - Server supports the following resources: {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'pools': '/pools', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'activation_keys': '/activation_keys', 'consumertypes': '/consumertypes', 'crl': '/crl'}
2015-03-09 20:38:57,294 [DEBUG] subscription-manager:385 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:38:57,294 [DEBUG] subscription-manager:385 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:38:57,295 [DEBUG] subscription-manager:385 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/status
2015-03-09 20:39:00,580 [DEBUG] subscription-manager:385 @connection.py:521 - Response: status=200, requestUuid=56d20ab0-ea29-4732-b666-0a7a8f8de427
2015-03-09 20:39:00,582 [INFO] subscription-manager:385 @managercli.py:364 - Server Versions: {'rules-version': '5.14', 'candlepin': '0.9.45-1', 'server-type': 'Red Hat Subscription Management'}
2015-03-09 20:39:00,583 [INFO] subscription-manager:385 @managercli.py:353 - Client Versions: {'python-rhsm': '1.14.2-1.git.0.fafb02d.el6', 'subscription-manager': '1.14.1-1.git.84.66aafd7.el6'}
2015-03-09 20:39:00,583 [INFO] subscription-manager:385 @managercli.py:329 - Consumer Identity name=dhcp35-236.lab.eng.blr.redhat.com uuid=3076fa60-92f9-44b4-b983-74baa9d21d65
2015-03-09 20:39:00,584 [INFO] subscription-manager:385 @managercli.py:329 - Consumer Identity name=dhcp35-236.lab.eng.blr.redhat.com uuid=3076fa60-92f9-44b4-b983-74baa9d21d65
2015-03-09 20:39:00,586 [DEBUG] subscription-manager:385 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:00,586 [DEBUG] subscription-manager:385 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:00,587 [DEBUG] subscription-manager:385 @connection.py:494 - Making request: DELETE https://10.70.1.100:8443/candlepin/consumers/3076fa60-92f9-44b4-b983-74baa9d21d65
2015-03-09 20:39:03,996 [DEBUG] subscription-manager:385 @connection.py:521 - Response: status=204, requestUuid=8a63beb4-cdaf-4fe8-a36a-932feffe0d71
2015-03-09 20:39:03,997 [INFO] subscription-manager:385 @managerlib.py:789 - Successfully un-registered.
2015-03-09 20:39:03,997 [DEBUG] subscription-manager:385 @managerlib.py:835 - Removing identity cert: /etc/pki/consumer/key.pem
2015-03-09 20:39:03,997 [DEBUG] subscription-manager:385 @managerlib.py:835 - Removing identity cert: /etc/pki/consumer/cert.pem
2015-03-09 20:39:03,998 [DEBUG] subscription-manager:385 @identity.py:131 - Loading consumer info from identity certificates.
2015-03-09 20:39:03,998 [DEBUG] subscription-manager:385 @identity.py:143 - Reload of consumer identity cert /etc/pki/consumer/cert.pem raised an exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'
2015-03-09 20:39:04,000 [DEBUG] subscription-manager:385 @cache.py:86 - Deleting cache: /var/lib/rhsm/cache/installed_products.json
2015-03-09 20:39:04,000 [DEBUG] subscription-manager:385 @cache.py:86 - Deleting cache: /var/lib/rhsm/facts/facts.json
2015-03-09 20:39:04,000 [DEBUG] subscription-manager:385 @cache.py:86 - Deleting cache: /var/lib/rhsm/cache/entitlement_status.json
2015-03-09 20:39:04,001 [DEBUG] subscription-manager:385 @cache.py:86 - Deleting cache: /var/lib/rhsm/cache/product_status.json
2015-03-09 20:39:04,001 [INFO] subscription-manager:385 @managerlib.py:860 - Cleaned local data
2015-03-09 20:39:04,001 [INFO] subscription-manager:385 @managercli.py:1039 - --force specified, unregistered old consumer: 3076fa60-92f9-44b4-b983-74baa9d21d65
2015-03-09 20:39:05,705 [DEBUG] subscription-manager-gui:4159 @identity.py:131 - Loading consumer info from identity certificates.
2015-03-09 20:39:05,705 [DEBUG] subscription-manager-gui:4159 @identity.py:143 - Reload of consumer identity cert /etc/pki/consumer/cert.pem raised an exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'
2015-03-09 20:39:05,705 [DEBUG] subscription-manager-gui:4159 @certdirectory.py:216 - Installed product IDs: []
2015-03-09 20:39:05,706 [DEBUG] subscription-manager-gui:4159 @cert_sorter.py:126 - Unregistered, skipping server compliance check.
2015-03-09 20:39:05,706 [INFO] subscription-manager-gui:4159 @connection.py:727 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=10.70.1.100 port=8443 handler=/candlepin auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2015-03-09 20:39:05,915 [INFO] rhsmd:401 @rhsmd:276 - rhsmd started
2015-03-09 20:39:05,922 [DEBUG] rhsmd:401 @rhsmd:186 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.update_status called with status = 0
2015-03-09 20:39:05,963 [DEBUG] rhsmd:401 @identity.py:131 - Loading consumer info from identity certificates.
2015-03-09 20:39:05,964 [DEBUG] rhsmd:401 @identity.py:143 - Reload of consumer identity cert /etc/pki/consumer/cert.pem raised an exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'
2015-03-09 20:39:05,964 [DEBUG] rhsmd:401 @rhsmd:154 - D-Bus signal com.redhat.SubscriptionManager.EntitlementStatus.entitlement_status_changed emitted
2015-03-09 20:39:05,964 [DEBUG] rhsmd:401 @rhsmd:201 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.emit_status called
2015-03-09 20:39:05,965 [DEBUG] rhsmd:401 @certdirectory.py:216 - Installed product IDs: []
2015-03-09 20:39:05,965 [DEBUG] rhsmd:401 @cert_sorter.py:126 - Unregistered, skipping server compliance check.
2015-03-09 20:39:05,965 [INFO] rhsmd:401 @connection.py:727 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=10.70.1.100 port=8443 handler=/candlepin auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2015-03-09 20:39:05,967 [DEBUG] rhsmd:401 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:05,967 [DEBUG] rhsmd:401 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:05,967 [DEBUG] rhsmd:401 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/consumers/None/compliance
2015-03-09 20:39:09,261 [DEBUG] rhsmd:401 @connection.py:521 - Response: status=401
2015-03-09 20:39:18,479 [INFO] subscription-manager:385 @connection.py:727 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=10.70.1.100 port=8443 handler=/candlepin auth=basic username=admin
2015-03-09 20:39:18,503 [DEBUG] subscription-manager:385 @hwprobe.py:554 - cpu info: {'cpu.cpu(s)': 4, 'cpu.core(s)_per_socket': 4, 'cpu.thread(s)_per_core': 1, 'cpu.topology_source': 'kernel /sys cpu sibling lists', 'cpu.cpu_socket(s)': 1}
2015-03-09 20:39:18,524 [DEBUG] subscription-manager:385 @hwprobe.py:770 - Running 'virt-what'
2015-03-09 20:39:18,582 [DEBUG] subscription-manager:385 @hwprobe.py:774 - virt-what stdout:
2015-03-09 20:39:18,582 [DEBUG] subscription-manager:385 @hwprobe.py:775 - virt-what stderr:
2015-03-09 20:39:18,614 [INFO] subscription-manager:385 @hwprobe.py:852 - collected virt facts: virt.is_guest=False, virt.host_type=Not Applicable, virt.uuid=Not Set
2015-03-09 20:39:18,616 [DEBUG] subscription-manager:385 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:18,616 [DEBUG] subscription-manager:385 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:18,616 [DEBUG] subscription-manager:385 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/users/admin/owners
2015-03-09 20:39:21,929 [DEBUG] subscription-manager:385 @connection.py:521 - Response: status=200, requestUuid=2176944d-0737-44b2-bb60-afb6c77464c7
2015-03-09 20:39:27,061 [DEBUG] subscription-manager:385 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:27,061 [DEBUG] subscription-manager:385 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:27,061 [DEBUG] subscription-manager:385 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/
2015-03-09 20:39:29,993 [DEBUG] subscription-manager:385 @connection.py:521 - Response: status=200, requestUuid=060509ca-1186-446b-8ea7-a857d5919c04
2015-03-09 20:39:29,996 [DEBUG] subscription-manager:385 @connection.py:744 - Server supports the following resources: {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'pools': '/pools', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'activation_keys': '/activation_keys', 'consumertypes': '/consumertypes', 'crl': '/crl'}
2015-03-09 20:39:29,998 [DEBUG] subscription-manager:385 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:29,998 [DEBUG] subscription-manager:385 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:29,999 [DEBUG] subscription-manager:385 @connection.py:494 - Making request: POST https://10.70.1.100:8443/candlepin/consumers?owner=admin
2015-03-09 20:39:34,924 [DEBUG] subscription-manager:385 @connection.py:521 - Response: status=200, requestUuid=5bce8960-6450-47f0-a1bd-ee80859899ac
2015-03-09 20:39:34,932 [DEBUG] subscription-manager:385 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/installed_products.json
2015-03-09 20:39:34,934 [INFO] subscription-manager:385 @managerlib.py:75 - Consumer created: {'consumer_name': 'dhcp35-236.lab.eng.blr.redhat.com', 'uuid': '7f24bb1e-c802-4d43-b554-d92b6929b686'}
2015-03-09 20:39:34,934 [DEBUG] subscription-manager:385 @utils.py:287 - No virt-who pid file, not attempting to restart
2015-03-09 20:39:34,935 [DEBUG] subscription-manager:385 @identity.py:131 - Loading consumer info from identity certificates.
2015-03-09 20:39:34,937 [DEBUG] subscription-manager:385 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:34,938 [DEBUG] subscription-manager:385 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:34,938 [DEBUG] subscription-manager:385 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/status
2015-03-09 20:39:35,279 [DEBUG] subscription-manager-gui:4159 @identity.py:131 - Loading consumer info from identity certificates.
2015-03-09 20:39:35,286 [DEBUG] subscription-manager-gui:4159 @certdirectory.py:216 - Installed product IDs: []
2015-03-09 20:39:35,287 [INFO] subscription-manager-gui:4159 @connection.py:727 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=10.70.1.100 port=8443 handler=/candlepin auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2015-03-09 20:39:35,289 [DEBUG] subscription-manager-gui:4159 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:35,289 [DEBUG] subscription-manager-gui:4159 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:35,289 [DEBUG] subscription-manager-gui:4159 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/consumers/7f24bb1e-c802-4d43-b554-d92b6929b686/compliance
2015-03-09 20:39:38,220 [DEBUG] subscription-manager:385 @connection.py:521 - Response: status=200, requestUuid=75df85da-146d-4db0-a27f-06a60a252284
2015-03-09 20:39:38,222 [INFO] subscription-manager:385 @managercli.py:364 - Server Versions: {'rules-version': '5.14', 'candlepin': '0.9.45-1', 'server-type': 'Red Hat Subscription Management'}
2015-03-09 20:39:38,224 [DEBUG] subscription-manager:385 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:38,224 [DEBUG] subscription-manager:385 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:38,224 [DEBUG] subscription-manager:385 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/
2015-03-09 20:39:39,030 [DEBUG] subscription-manager-gui:4159 @connection.py:521 - Response: status=200, requestUuid=ec2ab7f2-774b-4d8b-b46b-31118657ea17
2015-03-09 20:39:39,031 [DEBUG] subscription-manager-gui:4159 @cache.py:272 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2015-03-09 20:39:39,032 [INFO] subscription-manager-gui:4159 @cert_sorter.py:205 - Product status: valid_products= partial_products= expired_products= unentitled_producs= future_products= valid_until=None
2015-03-09 20:39:39,032 [DEBUG] subscription-manager-gui:4159 @cert_sorter.py:207 - partial stacks: []
2015-03-09 20:39:39,033 [DEBUG] subscription-manager-gui:4159 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:39,034 [DEBUG] subscription-manager-gui:4159 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:39,034 [DEBUG] subscription-manager-gui:4159 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/consumers/7f24bb1e-c802-4d43-b554-d92b6929b686
2015-03-09 20:39:41,822 [DEBUG] subscription-manager:385 @connection.py:521 - Response: status=200, requestUuid=ffcf1c06-45c9-4caa-9b5e-4715c48e8b86
2015-03-09 20:39:41,825 [DEBUG] subscription-manager:385 @connection.py:744 - Server supports the following resources: {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'pools': '/pools', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'activation_keys': '/activation_keys', 'consumertypes': '/consumertypes', 'crl': '/crl'}
2015-03-09 20:39:41,825 [INFO] subscription-manager:385 @cache.py:381 - Server does not support packages, skipping profile upload.
2015-03-09 20:39:41,828 [DEBUG] subscription-manager:385 @cache.py:110 - Wrote cache: /var/lib/rhsm/facts/facts.json
2015-03-09 20:39:41,828 [DEBUG] subscription-manager:385 @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2015-03-09 20:39:41,828 [DEBUG] subscription-manager:385 @cache.py:155 - No changes.
2015-03-09 20:39:41,828 [DEBUG] subscription-manager:385 @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2015-03-09 20:39:41,829 [DEBUG] subscription-manager:385 @cache.py:155 - No changes.
2015-03-09 20:39:41,829 [DEBUG] subscription-manager:385 @certdirectory.py:216 - Installed product IDs: []
2015-03-09 20:39:41,831 [DEBUG] subscription-manager:385 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:41,831 [DEBUG] subscription-manager:385 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:41,831 [DEBUG] subscription-manager:385 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/consumers/7f24bb1e-c802-4d43-b554-d92b6929b686/compliance
2015-03-09 20:39:43,013 [DEBUG] subscription-manager-gui:4159 @connection.py:521 - Response: status=200, requestUuid=35a63268-3963-4425-82cd-4dc63d845210
2015-03-09 20:39:43,020 [DEBUG] subscription-manager-gui:4159 @cache.py:272 - Started thread to write cache: /var/lib/rhsm/cache/product_status.json
2015-03-09 20:39:43,031 [DEBUG] subscription-manager-gui:4159 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:43,031 [DEBUG] subscription-manager-gui:4159 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:43,032 [DEBUG] subscription-manager-gui:4159 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/
2015-03-09 20:39:45,184 [DEBUG] subscription-manager:385 @connection.py:521 - Response: status=200, requestUuid=0d0b5685-e901-4809-b0e3-4c0d7c795b1f
2015-03-09 20:39:45,186 [DEBUG] subscription-manager:385 @cache.py:272 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2015-03-09 20:39:45,186 [INFO] subscription-manager:385 @cert_sorter.py:205 - Product status: valid_products= partial_products= expired_products= unentitled_producs= future_products= valid_until=None
2015-03-09 20:39:45,186 [DEBUG] subscription-manager:385 @cert_sorter.py:207 - partial stacks: []
2015-03-09 20:39:45,355 [INFO] rhsmd:487 @rhsmd:276 - rhsmd started
2015-03-09 20:39:45,359 [DEBUG] rhsmd:487 @rhsmd:186 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.update_status called with status = 0
2015-03-09 20:39:45,408 [DEBUG] rhsmd:487 @identity.py:131 - Loading consumer info from identity certificates.
2015-03-09 20:39:45,414 [DEBUG] rhsmd:487 @rhsmd:154 - D-Bus signal com.redhat.SubscriptionManager.EntitlementStatus.entitlement_status_changed emitted
2015-03-09 20:39:45,414 [DEBUG] rhsmd:487 @rhsmd:201 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.emit_status called
2015-03-09 20:39:45,415 [INFO] rhsmd:487 @connection.py:727 - Connection built: http_proxy=auto-services.usersys.redhat.com:3129 host=10.70.1.100 port=8443 handler=/candlepin auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2015-03-09 20:39:45,415 [DEBUG] rhsmd:487 @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2015-03-09 20:39:45,416 [DEBUG] rhsmd:487 @cache.py:155 - No changes.
2015-03-09 20:39:45,417 [DEBUG] rhsmd:487 @certdirectory.py:216 - Installed product IDs: []
2015-03-09 20:39:45,418 [DEBUG] rhsmd:487 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:45,419 [DEBUG] rhsmd:487 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:45,419 [DEBUG] rhsmd:487 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/consumers/7f24bb1e-c802-4d43-b554-d92b6929b686/compliance
2015-03-09 20:39:45,971 [DEBUG] subscription-manager-gui:4159 @connection.py:521 - Response: status=200, requestUuid=78ec96f6-b4dc-4b60-b579-e6d988c4cef0
2015-03-09 20:39:45,974 [DEBUG] subscription-manager-gui:4159 @connection.py:744 - Server supports the following resources: {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'pools': '/pools', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'activation_keys': '/activation_keys', 'consumertypes': '/consumertypes', 'crl': '/crl'}
2015-03-09 20:39:45,976 [DEBUG] subscription-manager-gui:4159 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:45,976 [DEBUG] subscription-manager-gui:4159 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:45,976 [DEBUG] subscription-manager-gui:4159 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/consumers/7f24bb1e-c802-4d43-b554-d92b6929b686
2015-03-09 20:39:48,764 [DEBUG] rhsmd:487 @connection.py:521 - Response: status=200, requestUuid=a747cbda-cf9d-4546-bc80-ba998a40f447
2015-03-09 20:39:48,766 [DEBUG] rhsmd:487 @cache.py:272 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2015-03-09 20:39:48,766 [INFO] rhsmd:487 @cert_sorter.py:205 - Product status: valid_products= partial_products= expired_products= unentitled_producs= future_products= valid_until=None
2015-03-09 20:39:48,767 [DEBUG] rhsmd:487 @cert_sorter.py:207 - partial stacks: []
2015-03-09 20:39:48,769 [DEBUG] rhsmd:487 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:48,769 [DEBUG] rhsmd:487 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:48,769 [DEBUG] rhsmd:487 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/consumers/7f24bb1e-c802-4d43-b554-d92b6929b686/compliance
2015-03-09 20:39:49,591 [DEBUG] subscription-manager-gui:4159 @connection.py:521 - Response: status=200, requestUuid=f2c97c81-8c71-47c6-9512-ddee64d2b739
2015-03-09 20:39:51,774 [DEBUG] rhsmd:487 @connection.py:521 - Response: status=200, requestUuid=1b0d3f48-2a88-4fbf-a775-1c12c9346599
2015-03-09 20:39:51,776 [DEBUG] rhsmd:487 @cache.py:272 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2015-03-09 20:39:51,776 [DEBUG] rhsmd:487 @rhsmd:186 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.update_status called with status = 0
2015-03-09 20:39:51,777 [DEBUG] rhsmd:487 @rhsmd:201 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.emit_status called
2015-03-09 20:39:51,779 [DEBUG] rhsmd:487 @connection.py:446 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem, candlepin-ca.pem, candlepin-stage.pem
2015-03-09 20:39:51,779 [DEBUG] rhsmd:487 @connection.py:479 - Using proxy: auto-services.usersys.redhat.com:3129
2015-03-09 20:39:51,780 [DEBUG] rhsmd:487 @connection.py:494 - Making request: GET https://10.70.1.100:8443/candlepin/consumers/7f24bb1e-c802-4d43-b554-d92b6929b686/compliance
2015-03-09 20:39:55,126 [DEBUG] rhsmd:487 @connection.py:521 - Response: status=200, requestUuid=20464a7e-7984-4c7b-b2c5-0ddb62109751
2015-03-09 20:39:55,127 [DEBUG] rhsmd:487 @cache.py:272 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2015-03-09 20:41:39,778 [INFO]  @virtwho.py:438 - No configurations found, using libvirt as backend
2015-03-09 20:41:43,385 [INFO]  @subscriptionmanager.py:110 - Sending list of uuids: ['49ea85ec-16b6-f892-7864-085bb953ad2b']

On the guest:
 
[root@dhcp35-188 ~]# cat /etc/rhsm/rhsm.conf| grep proxy
# an http proxy server to use
proxy_hostname =
# port for http proxy server
proxy_port = 
# user name for authenticating to an http proxy, if needed
proxy_user =
# password for basic http proxy auth, if needed
proxy_password =

[root@dhcp35-188 ~]# subscription-manager register --org admin
Username: admin
Password:
The system has been registered with ID: 92fab436-0dcf-4cef-bf58-878fce95abab
[root@dhcp35-188 ~]# subscription-manager attach --auto
 
 
Installed Product Current Status:
Product Name: Awesome OS Instance Server Bits
Status:       Partially Subscribed

[root@dhcp35-188 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Awesome OS Instance Based one socket
Provides:            Awesome OS Instance Server Bits
SKU:                 awesomeos-onesocketib
Contract:            0
Account:             12331131231
Serial:              7954350025814026147
Pool ID:             8ac681e44bf828b6014bf82997e7072d
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       Standard
Service Type:        L1-L3
Status Details:      Subscription is current
Subscription Type:   Instance Based
Starts:              03/08/2015
Ends:                03/10/2015
System Type:         Virtual

On the host restart virt-who:

[root@dhcp35-236 ~]# service virt-who start
Starting virt-who:                                         [  OK  ]


Back on the guest do a refresh 

[root@dhcp35-188 ~]# subscription-manager refresh   -----> refresh after restarting virt-who on the host which is registered via proxy

All local data refreshed



[root@dhcp35-188 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Awesome OS Instance Based one socket
Provides:            Awesome OS Instance Server Bits
SKU:                 awesomeos-onesocketib
Contract:            0
Account:             12331131231
Serial:              7075219445573813335
Pool ID:             8ac681e44bf828b6014bf82997e7072d
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       Standard
Service Type:        L1-L3
Status Details:      Subscription is current
Subscription Type:  
Starts:              03/08/2015 } still 24 hour subscription persists
                                  and is not replaced by a Derived pool
Ends:                03/10/2015
System Type:         Virtual
 


Actual results:


Expected results:


Additional info:

Comment 2 Shwetha Kallesh 2015-03-17 10:33:18 UTC
On my workstation its taking time to replace the certs:

On the host:

[root@dhcp35-236 ~]# service virt-who stop
    Stopping virt-who:                                         [  OK  ]
    [root@dhcp35-236 ~]# subscription-manager register --force
    The system with UUID 5815a563-ea7d-4dcf-9309-003c551eda7e has been unregistered
    Username: admin
    Password:
    Organization: admin
    The system has been registered with ID: 5bce95fe-57ac-4ece-9b46-160599efab60
    


On the guest:    

[root@dhcp35-188 ~]# subscription-manager register --org admin --force
    The system with UUID 4600e1cc-c5d8-446b-9d70-061c40d32d11 has been unregistered
    Username: admin
    Password:
    The system has been registered with ID: 44f9d971-5421-49ee-9396-aac180ecd5a2
    [root@dhcp35-188 ~]# subscription-manager attach --auto
     
     
    Installed Product Current Status:
    Product Name: Awesome OS Instance Server Bits
    Status:       Subscribed
     
    [root@dhcp35-188 ~]# subscription-manager list --consumed
    +-------------------------------------------+
       Consumed Subscriptions
    +-------------------------------------------+
    Subscription Name:   Awesome OS Instance Based one socket
    Provides:            Awesome OS Instance Server Bits
    SKU:                 awesomeos-onesocketib
    Contract:            1
    Account:             12331131231
    Serial:              9013017447402736259
    Pool ID:             8ac681e44c237d3c014c237e969d196c
    Provides Management: No
    Active:              True
    Quantity Used:       1
    Service Level:       Standard
    Service Type:        L1-L3
    Status Details:      Guest has not been reported on any host and is using a temporary unmapped guest subscription.
    Subscription Type:   Instance Based
    Starts:              03/16/2015
    Ends:                03/18/2015
    System Type:         Virtual
    
Start virt-who on the host :

[root@dhcp35-236 ~]# service virt-who start
    Starting virt-who:                                         [  OK  ]

 
    [root@dhcp35-188 ~]# subscription-manager refresh
    All local data refreshed
    [root@dhcp35-188 ~]# subscription-manager refresh
    All local data refreshed
    [root@dhcp35-188 ~]# subscription-manager refresh
    All local data refreshed
    [root@dhcp35-188 ~]# subscription-manager refresh
    All local data refreshed
    [root@dhcp35-188 ~]# subscription-manager refresh
    1 local certificate has been deleted.
    All local data refreshed
after so many attempts cert is finally replaced
     
     [root@dhcp35-188 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Awesome OS Instance Based one socket
Provides:            Awesome OS Instance Server Bits
SKU:                 awesomeos-onesocketib
Contract:            1
Account:             12331131231
Serial:              4695590192211697577
Pool ID:             8ac681e44c237d3c014c237e9428184a
Provides Management: No
Active:              False
Quantity Used:       1
Service Level:       Standard
Service Type:        L1-L3
Status Details:      Subscription has not begun
Subscription Type:   Instance Based
Starts:              03/05/2016
Ends:                03/05/2017
System Type:         Physical

Comment 3 Shwetha Kallesh 2015-03-17 10:36:31 UTC
On the beaker machine certs get replaced at first attempt,so closing bug as it seems network issue with my system which is causing time lag

On the host:

[root@ibm-hs22-02 ~]# service virt-who stop
Stopping virt-who: [  OK  ]
[root@ibm-hs22-02 ~]# subscription-manager register --force
The system with UUID ce32bfb7-470b-4737-946e-477d53ea186f has been unregistered
Username: admin
Password: 
Organization: admin
The system has been registered with ID: 49ebd055-e8ad-44c4-a180-8aa8fd0f1df3 

On the guest:

[root@dhcp-55-202 ~]# subscription-manager register --force
The system with UUID 748e245a-4d9a-46b9-8b5c-560475abb6cb has been unregistered
Username: admin
Password: 
Organization: admin
The system has been registered with ID: 585a0dc5-e1b2-4e25-8a7d-c947b7e33089 
[root@dhcp-55-202 ~]# subscription-manager attach --auto


Installed Product Current Status:
Product Name: Awesome OS Server Bits
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Workstation
Status:       Not Subscribed

Unable to find available subscriptions for all your installed products.
[root@dhcp-55-202 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Awesome OS Virtual Datacenter
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-virt-datacenter
Contract:            1
Account:             12331131231
Serial:              326681209365482848
Pool ID:             ff8080814c074718014c0747bb061ab2
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       
Service Type:        
Status Details:      Guest has not been reported on any host and is using a temporary unmapped guest subscription.
Subscription Type:   Standard
Starts:              03/10/2015
Ends:                03/18/2015
System Type:         Virtual


Start virt-who on the host:

[root@ibm-hs22-02 ~]# service virt-who start
Starting virt-who: [  OK  ]


Cert is replaced at first attempt

[root@dhcp-55-202 ~]# subscription-manager refresh
1 local certificate has been deleted.
All local data refreshed                


[root@dhcp-55-202 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Awesome OS Virtual Datacenter
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-virt-datacenter
Contract:            1
Account:             12331131231
Serial:              4232966935081138647
Pool ID:             ff8080814c074718014c27492ffb4e9d
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       
Service Type:        
Status Details:      Subscription is current
Subscription Type:   Standard
Starts:              03/10/2015
Ends:                03/09/2016
System Type:         Virtual


Note You need to log in before you can comment on or make changes to this bug.